// LICENSE: GPL

#ifndef TOUCHFREEZEAPP_H
#define TOUCHFREEZEAPP_H

#include <QApplication>

class EvieDaemon;
class TouchFreezeUI;

class TouchFreezeApp: public QApplication
{
Q_OBJECT
public:
  TouchFreezeApp( int argc, char* argv[] );
  virtual ~TouchFreezeApp();

protected:

protected slots:
  void onStartTyping();
  void onStopTyping();
  void onEventActivity();
  void onDelayChanged( unsigned int );

private:
  EvieDaemon* mEvieDaemon;
  TouchFreezeUI* mUI;
};

#endif
